﻿using System;
using UnityEngine;
using System.IO;
using System.Xml;
using System.Linq;
using System.Text;
using System.Collections;
using System.Collections.Generic;

public class LoadXml : MonoBehaviour {
		public static string localPath;

		public static int version;
				
		/// <summary>
		/// 获取XML路径
		/// </summary>
		/// <returns>The XM.</returns>
		public static IEnumerator GetXML()
		{
			if(Application.platform==RuntimePlatform.Android)
			{
				localPath = Application.streamingAssetsPath+"/config.xml"; //在Android中实例化WWW不能在路径前面加"file://"
				Debug.Log (localPath);
			}
			else
			{
				localPath = "file://"+UnityEngine.Application.streamingAssetsPath + "/config.xml";//在Windows中实例化WWW必须要在路径前面加"file://"
				
				Debug.Log (localPath);
			}
			WWW www = new WWW(localPath);
			while (!www.isDone)
			{
				Debug.Log("Getting GetXML");
				yield return www;
				ParseXml(www);
			}
		}
		
		/// <summary>
		///按属性获取节点
		/// </summary>
		/// <param name="www">Www.</param>
		public static void ParseXml(WWW www) 
		{
			
			XmlDocument xmlDoc = new XmlDocument();
			xmlDoc.LoadXml(www.text);
			XmlNodeList nodeList=xmlDoc.SelectSingleNode("root").ChildNodes;
			
			foreach(XmlElement xe in nodeList)
			{
				version = Int32.Parse(xe.GetAttribute("value"));
				
				Debug.Log ("version:" + version);
			}
		}
		/// <summary>
		/// 加载xml文档
		/// </summary>
		/// <returns></returns>
		public static  XmlDocument ReadAndLoadXml()
		{
			XmlDocument doc = new XmlDocument();
			//Debug.Log("加载xml文档");
			doc.Load(localPath);
			return doc;
		}
}
